#!/bin/sh

optstr="sn"

function screen_resolution()
{
  echo "setting resolution for screen recording"
  xrandr --output eDP1 --mode "1920x1080_60.00"
}

function normal_resolution()
{
  echo "setting normal resolution"
  xrandr --output eDP1 --mode 2256x1504
}

while getopts ${optstr} arg; do
  case ${arg} in
    s) screen_resolution;;
    n) normal_resolution;;
    ?) echo "unrecognized option: -s for screen recording -n for normal resolution";;
  esac
done
